Summary: RPM local_generator test
Name: rpm-local-generator-test
Version: 1
Release:1%{?dist}

License: MIT
URL: https://copr.fedorainfracloud.org/coprs/vondruch/rpm-local-generator/
BuildArch: noarch


BuildRequires: rpm-local-generator-support


%global __local_generator_provides() local-generator-provide(%%{basename:%{1}})
%global __local_generator_path ^.*$


%description
Test package demonstrating functionality of rpm-local-generator package. The
generated dependencies can be checked by:

~~~
$ rpm -qPp rpm-local-generator-test-1-1.fc40.noarch.rpm
~~~


%prep


%build


%install
mkdir -p %{buildroot}%{_bindir}
cat << EOF > %{buildroot}%{_bindir}/shebang
#!/bin/blabla
echo shebang
EOF

chmod a+x %{buildroot}%{_bindir}/shebang

cp %{buildroot}%{_bindir}/shebang{,1}


%files
%{_bindir}/shebang*



%changelog
* Fri Oct 06 2023 Vít Ondruch <vondruch@redhat.com> - 1-1
- Initial version.
